Skip to main content
GET
List program rewards spendings summary reports

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Identifies the loyalty program (lprg_ followed by hexadecimal characters).

Query Parameters

filters
object

Filters rows by field conditions, e.g. filters[reward_id][conditions][$is]=lrew_.... Filters for program rewards spendings reports.

Response

Program rewards spendings summary report.

Response body schema for GET /v2/loyalties/programs/{programId}/reports/rewards/spendings/summary.

data
object[]
required

List of summary rows, one per reward, cost, spending, and card definition with an approved point spend, ordered by id descending. Contains at most 100 rows. Empty when no approved point spend was recorded.

object
string
required

Object type marker. Always report.

Allowed value: "report"